Subject: Re: bug#5818: 23.1; cperl-mode sees mismatched parens where there are none

From: Stefan Kangas <[email-masked]>
Date: Fri, 5 Jul 2019 20:33:03 +0200

"Terrence Brannon" <[email-masked]> writes:

> If you enter the source code below, you will get a "mismatched
>
> parentheses" error when entering
>
>
>
>               { customer_id => { '=' => \'me.customer_id' }
>
>
>
> because the backslash in front of 'me.customer_id' throws cperl-mode
>
> off
>
>
>
> ==== begin sample source code ====
>
>
>
> sub execute {
>
>   my ($self, $opt, $args) = @_;
>
>
>
>     my $p_rs = $self->app->schema->resultset('Payment');
>
>
>
>   my $rs = $p_rs->search
>
>     ({
>
>       amount => { '>' => $p_rs->search
>
>              (
>
>               { customer_id => { '=' => \'me.customer_id' }
>
>
>
>
>
> ==== end sample source code ====

Hi,

I can't reproduce this on Emacs 26.2, the latest version of Emacs.

Since the bug was reported 9 years ago, I will assume that this bug has
been fixed while you were waiting for a reply.  I am therefore closing
this bug.

If you can still reproduce this issue on the latest version of Emacs,
please report back and we can re-open the issue.

Thanks,
Stefan Kangas